com.lowagie.text.pdf.parser

## Class PdfContentStreamProcessor.SetTextCharacterSpacing

- java.lang.Object
- - com.lowagie.text.pdf.parser.PdfContentStreamProcessor.SetTextCharacterSpacing

All Implemented Interfaces:
  ContentOperator

Enclosing class:
  PdfContentStreamProcessor

    private static class PdfContentStreamProcessor.SetTextCharacterSpacing
    extends java.lang.Object
    implements ContentOperator

A content operator implementation (Tc).

### Constructor Summary

Constructors
`private` `PdfContentStreamProcessor.SetTextCharacterSpacing()`

### Method Summary

Methods
`void` `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, java.util.ArrayList operands)` Invokes a content operator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PdfContentStreamProcessor.SetTextCharacterSpacing

    private PdfContentStreamProcessor.SetTextCharacterSpacing()

### Method Detail

#### invoke

    public void invoke(PdfContentStreamProcessor processor,
              PdfLiteral operator,
              java.util.ArrayList operands)

Description copied from interface: `ContentOperator`
Invokes a content operator.

Specified by:
  `invoke` in interface `ContentOperator`
Parameters:
  `processor` - the processor that is dealing with the PDF content
  `operator` - the literal PDF syntax of the operator
  `operands` - the operands that come with the operator